Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl
Class DdlSequencerI18n

    java.lang.Object
      org.modeshape.sequencer.ddl.DdlSequencerI18n

    public final class DdlSequencerI18n

extends Object

The internationalized string constants for the `org.modeshape.sequencer.ddl*` packages.

Field Summary
`static I18n` | `alterTableOptionNotFound`
`static I18n` | `errorInstantiatingParserForGrammarClasspath`
`static I18n` | `errorInstantiatingParserForGrammarUsingDefaultClasspath`
`static I18n` | `errorParsingDdlContent`
`static I18n` | `errorSequencingDdlContent`
`static I18n` | `missingReturnTypeForFunction`
`static I18n` | `sequencerTaskName`
`static I18n` | `unknownCreateStatement`
`static I18n` | `unsupportedProcedureParameterDeclaration`
`static I18n` | `unusedTokensDiscovered`
`static I18n` | `unusedTokensParsingColumnDefinition`
`static I18n` | `unusedTokensParsingColumnsAndConstraints`
`static I18n` | `unusedTokensParsingCreateIndex`

Constructor Summary
`DdlSequencerI18n()`

Method Summary
`static Set<Locale>` | `getLocalizationProblemLocales()`
`static Set<String>` | `getLocalizationProblems()`
`static Set<String>` | `getLocalizationProblems(Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sequencerTaskName

    public static I18n sequencerTaskName

### errorSequencingDdlContent

    public static I18n errorSequencingDdlContent

### errorParsingDdlContent

    public static I18n errorParsingDdlContent

### unknownCreateStatement

    public static I18n unknownCreateStatement

### unusedTokensDiscovered

    public static I18n unusedTokensDiscovered

### unusedTokensParsingColumnsAndConstraints

    public static I18n unusedTokensParsingColumnsAndConstraints

### unusedTokensParsingColumnDefinition

    public static I18n unusedTokensParsingColumnDefinition

### alterTableOptionNotFound

    public static I18n alterTableOptionNotFound

### unusedTokensParsingCreateIndex

    public static I18n unusedTokensParsingCreateIndex

### missingReturnTypeForFunction

    public static I18n missingReturnTypeForFunction

### unsupportedProcedureParameterDeclaration

    public static I18n unsupportedProcedureParameterDeclaration

### errorInstantiatingParserForGrammarUsingDefaultClasspath

    public static I18n errorInstantiatingParserForGrammarUsingDefaultClasspath

### errorInstantiatingParserForGrammarClasspath

    public static I18n errorInstantiatingParserForGrammarClasspath

Constructor Detail

### DdlSequencerI18n

    public DdlSequencerI18n()

Method Detail

### getLocalizationProblemLocales

    public static Set<Locale> getLocalizationProblemLocales()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.